Page MenuHomePhabricator

Showcase/inspire: Wikipedia hovercards on third-party web site
Closed, DeclinedPublic

Description

Two possible steps:

  1. "Make the same API request on your web site"
  2. "Reuse Hovercards MediaWiki modules on your web site"

For 1, Page info in search results mentions how Hovercards does it as an alternative.

For 2, I'm not sure how a third-party site could reuse our CSS and JS ResourceLoader modules. mw.loader.load( 'ext.popups; ) is all I need to make it go on a Wikimedia site...

Event Timeline

Spage created this task.Feb 3 2015, 3:29 AM
Spage raised the priority of this task from to Needs Triage.
Spage updated the task description. (Show Details)
Spage added a subscriber: Spage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 3 2015, 3:29 AM
Qgil added a subscriber: Qgil.Feb 3 2015, 9:27 AM

Do you mean https://www.mediawiki.org/wiki/Beta_Features/Hovercards? As in something that could be used by third parties in non-MediaWiki environments?

Spage claimed this task.Feb 3 2015, 5:31 PM
Spage triaged this task as Normal priority.Feb 3 2015, 5:33 PM
Spage moved this task from Backlog to Ready To Go on the ECT-February-2015 board.
Spage lowered the priority of this task from Normal to Low.Mar 2 2015, 9:47 PM

I mention how Hovercards does it as an alternative on [https://www.mediawiki.org/wiki/API:Page_info_in_search_results#Alternatives | Page info in search results], so I'm removing this from February in favor of T88409: Showcase/inspire: Mobile page description from Wikidata.

Do you mean https://www.mediawiki.org/wiki/Beta_Features/Hovercards? As in something that could be used by third parties in non-MediaWiki environments?

Yes, I believe you could do something similar on a third-party web site. The intriguing part that's independent of how Hovercards makes API requests is: how much of the JS and CSS can a third-party site reuse. mw.loader.load( 'ext.popups; ) is all I need to make it go on a MW site.

Spage renamed this task from Showcase/inspire: hovercards to Showcase/inspire: Wikipedia hovercards on third-party web site.Mar 2 2015, 9:57 PM
Spage updated the task description. (Show Details)
Spage removed a project: ECT-February-2015.
Spage set Security to None.
Aklapper removed Spage as the assignee of this task.Sep 23 2016, 2:11 PM
Aklapper closed this task as Declined.Mon, Oct 7, 11:17 AM

The Web-APIs-Hub project is dead hence mass-declining its tasks to reflect reality. It might be superseded by a Developer Portal in the future.